View Issue Details

IDProjectCategoryView StatusLast Update
0002711gnunet-gtkgnunet-fs-gtkpublic2013-12-24 20:55
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0002711: probes are not initiated for files in a directory
DescriptionAfter downloading a directory, gnunet-fs-gtk does not start probes for the files in the directory.
TagsNo tags attached.

Activities

Christian Grothoff

2012-12-20 13:39

manager   ~0006734

Again, if my note on 0002712 is correct, it may also be that selecting non-recursive download triggers a recursive download, in which case probes of course also make no sense.

Christian Grothoff

2012-12-20 13:41

manager   ~0006735

No, figured out how to make it non-recursive, probes are still not started.

Christian Grothoff

2013-05-30 14:15

manager   ~0007136

libgnunetfs has no provisions for probes that are not the result of a search result at this point; and there is no easy way to convert the block from the download into a search result that would nicely work for libgnunetfs -- even if we extend the API to create a 'fake' search result, questions like what to send for the 'search context' remain. Ugh.

Christian Grothoff

2013-05-30 18:13

manager   ~0007137

Committed untested fix in SVN 27336.

Christian Grothoff

2013-05-30 20:37

manager   ~0007138

Seems to work fine in SVN 27341.

Issue History

Date Modified Username Field Change
2012-12-20 13:33 Christian Grothoff New Issue
2012-12-20 13:39 Christian Grothoff Note Added: 0006734
2012-12-20 13:41 Christian Grothoff Note Added: 0006735
2012-12-22 16:16 Christian Grothoff Target Version => 0.10.0
2013-03-27 21:07 Christian Grothoff Assigned To => Christian Grothoff
2013-03-27 21:07 Christian Grothoff Status new => assigned
2013-05-05 18:08 Christian Grothoff Priority normal => high
2013-05-30 14:15 Christian Grothoff Note Added: 0007136
2013-05-30 18:13 Christian Grothoff Note Added: 0007137
2013-05-30 20:37 Christian Grothoff Note Added: 0007138
2013-05-30 20:37 Christian Grothoff Status assigned => resolved
2013-05-30 20:37 Christian Grothoff Fixed in Version => 0.10.0
2013-05-30 20:37 Christian Grothoff Resolution open => fixed
2013-12-24 20:55 Christian Grothoff Status resolved => closed